Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006699opensim[GRID] Messaging Servicepublic2013-07-04 11:162014-07-29 13:42
Reporterkcozens 
Assigned Tojustincc 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Versionmaster (dev code)Fixed in Version 
Summary0006699: Add support for attachments to group notices for Flotsam groups
DescriptionWhen using Flotsam groups with OpenSim version 0.7.5PF and git master you can send group notices but there is no support for attaching an item to the notice. I have attached a patch file to this report which adds the ability to attach items to group notices.
Additional InformationThe attach patch was created against 0.7.5-post-fixes but it should apply to git master. I saw the patch and got no complaints when switching between my local copies of 075PF and master.
TagsNo tags attached.
Git Revision or version numbere18d52e2b46c17c61634f6abef5206cd7493a7a7
Run Mode Grid (1 Region per Sim)
Physics EngineBulletSim
EnvironmentMono / Linux32
Mono Version2.10
Viewer
Attached Filespatch file icon 0004-Added-support-for-attachments-to-group-notices-when-.patch [^] (26,309 bytes) 2013-07-05 11:37 [Show Content]
patch file icon 0001-Added-support-for-attachments-to-group-notices-master.patch [^] (13,815 bytes) 2013-08-02 12:30 [Show Content]

- Relationships

-  Notes
(0024188)
kcozens (administrator)
2013-07-05 11:38

I updated the patch to handle attempts to attach an item not owned by the sender of the group notice.
(0024242)
kcozens (administrator)
2013-08-02 12:31

The file 0004-*.patch is for use with 0.7.5-post-fixes.
The file 0001-*-master.patch is for use with git master.
(0024471)
justincc (administrator)
2013-10-15 15:24

Applied as git master 5ca7395 in master, b8a6fd3 in 0.7.6-post-fixes and 5ca7395 in 0.7.5-post-fixes. Thanks a lot, kcozens.

- Issue History
Date Modified Username Field Change
2013-07-04 11:16 kcozens New Issue
2013-07-04 11:16 kcozens File Added: 0002-Added-support-for-attachments-to-group-notices-when-.patch
2013-07-04 11:16 kcozens Assigned To => kcozens
2013-07-04 11:16 kcozens Status new => patch included
2013-07-05 11:36 kcozens File Deleted: 0002-Added-support-for-attachments-to-group-notices-when-.patch
2013-07-05 11:37 kcozens File Added: 0004-Added-support-for-attachments-to-group-notices-when-.patch
2013-07-05 11:38 kcozens Note Added: 0024188
2013-08-02 12:30 kcozens File Added: 0001-Added-support-for-attachments-to-group-notices-master.patch
2013-08-02 12:31 kcozens Note Added: 0024242
2013-10-14 16:42 justincc Assigned To kcozens => justincc
2013-10-14 16:42 justincc Status patch included => assigned
2013-10-15 15:24 justincc Note Added: 0024471
2013-10-15 15:24 justincc Status assigned => resolved
2013-10-15 15:24 justincc Resolution open => fixed
2014-07-29 13:42 chi11ken Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker